<?php
include 'conexao.php';
?>
<!DOCTYPE HTML>
<html>
<head>
    <script>
        window.onload = function () {

            var chart = new CanvasJS.Chart("chartContainer", {
                title: {
                    text: "Histórico de segmentos apoiados",
                    fontSize: 30
                },
                dataPointWidth: 25,
                axisX:{
                    labelFontSize: 15,
                    interval: 1,
                    intervalType: "year"
                },
                theme: "light2",
                backgroundColor: "#efefef",
                animationEnabled: true,
                toolTip:{
                    shared: true,
                    reversed: true
                },
                axisY: {
                    title: "Projetos",
                    interval: 1
                },
                legend: {
                    cursor: "pointer",
                    itemclick: toggleDataSeries
                },
                data: [
                    <?php
                    $sql_investimentos_empresa_ano_inicial = $sqli->query("SELECT * FROM segmentos_empresa WHERE id_empresa='".$_GET['id']."' AND deleted_at IS NULL ORDER BY ano ASC LIMIT 1");
                    $row_investimentos_empresa_ano_inicial = $sql_investimentos_empresa_ano_inicial->fetch_assoc();
                    $ano_inicial = $row_investimentos_empresa_ano_inicial['ano'];

                    $sql_investimentos_empresa_ano_final = $sqli->query("SELECT * FROM segmentos_empresa WHERE id_empresa='".$_GET['id']."' AND deleted_at IS NULL ORDER BY ano DESC LIMIT 1");
                    $row_investimentos_empresa_ano_final = $sql_investimentos_empresa_ano_final->fetch_assoc();
                    $ano_final = $row_investimentos_empresa_ano_final['ano'];



                    $sql_investimentos_empresa = $sqli->query("SELECT * FROM segmentos_empresa WHERE id_empresa='".$_GET['id']."' AND deleted_at IS NULL GROUP BY id_segmento ORDER BY ano DESC");
                    $tot = $sql_investimentos_empresa->num_rows;
                    $i = 0;
                    while($row_investimentos_empresa = $sql_investimentos_empresa->fetch_assoc()) {
                    $i++;


                    $dataPoint[$row_investimentos_empresa['id_segmento']] = array();


                    for($x = $ano_inicial; $x <= $ano_final; $x++) {
                        $sql_inv_anos = $sqli->query("SELECT * FROM segmentos_empresa WHERE id_empresa='".$_GET['id']."' AND id_segmento='".$row_investimentos_empresa['id_segmento']."' AND ano='$x' AND deleted_at IS NULL ORDER BY ano DESC");
                        $row_inv_anos = $sql_inv_anos->fetch_assoc();

                        array_push($dataPoint[$row_investimentos_empresa['id_segmento']],
                            array("label" => $x, "y" => $row_inv_anos['count'])
                        );

                    }


                    $sql_segmento = $sqli->query("SELECT * FROM segmentos WHERE id='" . $row_investimentos_empresa['id_segmento'] . "'");
                    $row_segmento = $sql_segmento->fetch_assoc();
                    ?>
                    {
                        type: "stackedColumn",
                        name: "<?php echo $row_segmento['segmento'] ?>",
                        showInLegend: true,
                        dataPoints: <?php echo json_encode($dataPoint[$row_investimentos_empresa['id_segmento']], JSON_NUMERIC_CHECK); ?>
                    }<?php if($i != $tot) { echo ","; }
                    }
                    ?>
                ]
            });

            chart.render();

            function toggleDataSeries(e) {
                if (typeof (e.dataSeries.visible) === "undefined" || e.dataSeries.visible) {
                    e.dataSeries.visible = false;
                } else {
                    e.dataSeries.visible = true;
                }
                e.chart.render();
            }

        }
    </script>
</head>
<body>
<div id="chartContainer" style="height: 570px; width: 100%;"></div>
<script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>
</body>
</html>



